- Home
- API Enriched
- Other
- web
- Update RTIP internal instructions.
Update RTIP internal instructions.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/rtip_internal';const options = { method: 'PUT', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"internal_notes":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/rtip_internal \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "internal_notes": "example" }'Update Real-time Incident Procedures internal instructions and labels for the tenant. This API is accessible by F5 support team via support tenant.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Request message for updating internal RTIP instructions and labels. Accessible only to F5 Support groups.
object
Internal text notes or handling guidelines meant only for F5 Support groups.
Examplegenerated
{ "internal_notes": "example"}Responses
Section titled “Responses”A successful response.
Represents the response returned after updating the internal RTIP, including operation result and audit details.
object
Examplegenerated
{}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example